#define MASTER_RANK 0

typedef struct {
    float           temperatureNow;
    float           temperatureNext;
    unsigned int    neighborCount;
} point_t;

typedef struct {
    unsigned int    timeStepCount;
    unsigned int    rowCount;
    unsigned int    columnCount;
    unsigned int    pointCount;
    unsigned int    chunkSize;
    float           initialTemperature;
    char            *procName;
} userArgs_t;

int get_user_args(const int,char **,userArgs_t *);

point_t *init_points(const userArgs_t);

void print_points(const userArgs_t,const point_t *);

void set_future_points(const userArgs_t,point_t *);

void copy_future_to_present(const userArgs_t,point_t *);
